/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_DELAY_H_INCLUDED)
#define HARK_BASE_DELAY_H_INCLUDED 1

#include "common.h"

#include "BufferedNode.h"

namespace HARK
{
    class Delay : public BufferedNode
    {
    public:
	Delay(const std::string &nodeName, const ParameterSet &params);

    public:
	virtual void calculate(int output_id, int count, Buffer &buf);
	//virtual ObjectRef getOutput(int output_id, int count);
	void request(int outputID, const ParameterSet &req);

    private:
	int _outputID;
	int _inputID;
	int _delay;
	
    };

}

#endif

/* end of file */
