/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_ITERCOUNT_H_INCLUDED)
#define HARK_BASE_ITERCOUNT_H_INCLUDED 1

#include "common.h"

#include "Node.h"

namespace HARK
{
    class IterCount : public Node
    {
    public:
	IterCount(const std::string &nodeName, const ParameterSet &params);

    public:
	virtual ObjectRef getOutput(int output_id, int count);

    private:
	int _outputID;
	
    };

}

#endif

/* end of file */
