/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_SMALLER_H_INCLUDED)
#define HARK_BASE_SMALLER_H_INCLUDED 1

#include "common.h"

#include "BufferedNode.h"

namespace HARK
{
    class Smaller : public BufferedNode
    {
    public:
	Smaller(const std::string &nodeName, const ParameterSet &params);
	
    public:
	virtual void calculate(int output_id, int count, Buffer &out);

    protected:
	int _input1ID;
	int _input2ID;
	int _outputID;
    };

}

#endif

/* end of file */
