/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_OBJECT_PARAM_H_INCLUDED)
#define HARK_BASE_OBJECT_PARAM_H_INCLUDED 1

#include "common.h"

#include "ParameterSet.h"
#include "ObjectRef.h"
#include <string>
#include <vector>

namespace HARK
{
    class ObjectParam
    {
    public:
	static const std::vector<std::string> &allTypes(bool allowSubnetParam = true);
	static ObjectRef stringParam(const std::string &type, const std::string &value, const ParameterSet &param);
    };
}

#endif

/* end of file */
